# NixOps configuration for toscano
#
# https://en.wikipedia.org/wiki/Joseph_Toscano
{
  config,
  pkgs,
  lib,
  ...
}: {
  imports = [
    ../../../networks/linode.nix
    ../../../profiles/gitea.nix
    ../../../profiles/hakyll-skeleton.nix
    ../../../profiles/jfdic-web.nix
    ../../../profiles/resrok-web.nix
    ../../../profiles/tmateServer.nix
    ../../../profiles/voc-web.nix
    ../../../secrets/gitea.nix
  ];

  deployment.targetHost = "45.79.236.198";

  networking.hostName = "toscano";

  system.stateVersion = "21.05"; # The version of NixOS originally installed
}
