{
  pkgs ? import <nixpkgs> {},
  agenix,
  alejandra,
  mkShell,
  colmena,
  nix,
}:
with pkgs;
  mkShell {
    buildInputs = [
      agenix # CLI management of secrets encrypted via existing SSH keys
      alejandra # The Uncompromising Nix Code Formatter
      colmena # simple, stateless NixOS deployment tool
      nix # Powerful package manager, makes packaging reliable & reproducible
      tea # Gitea official CLI client
      treefmt # one CLI to format the code tree
    ];
  }
