{
  sources ? import ./nix/sources.nix,
  system ? builtins.currentSystem,
  crossSystem ? null,
  config ? {},
  alejandraUnstable ? (import sources.nixpkgsUnstable {}).alejandra,
} @ args:
with import ./nix args; {
  shell = mkShell {
    buildInputs = [
      alejandraUnstable # The Uncompromising Nix Code Formatter
      colmena
      niv
      treefmt # one CLI to format the code tree
    ];
    NIX_PATH = "nixpkgs=${sources.nixpkgs}";
    NIXOPS_DEPLOYMENT = "${globals.deploymentName}";
  };
}
