{
  description = "jfdic-ops deployment";

  inputs = {
    agenix = {
      url = "github:ryantm/agenix";
      inputs.nixpkgs.follows = "nixpkgs";
      inputs.darwin.follows = ""; # skip Darwin dependencies
    };
    hakyll-skeleton = {
      flake = false;
      url = git+https://source.jfdic.org/jfdic/hakyll-skeleton/?ref=consensus;
    };
    jfdic-web = {
      flake = false;
      url = git+https://source.jfdic.org/JFDIC/jfdic-web/?ref=consensus;
    };
    resrok-web = {
      flake = false;
      url = git+https://source.jfdic.org/resrok/resrok-web/?ref=consensus;
    };
    nix.url = "github:NixOS/nix/?ref=2.10.3";
    nixpkgs.url = github:NixOS/nixpkgs/?ref=nixos-22.11;
    nixpkgsUnstable.url = github:NixOS/nixpkgs/?ref=nixos-unstable;
    utils.url = "github:numtide/flake-utils";
    voc-web = {
      flake = false;
      url = git+https://source.jfdic.org/voc/voc-web/?ref=consensus;
    };
    colmena.url = "github:zhaofengli/colmena/?ref=v0.3.2";
  };

  outputs = {...} @ args: import ./outputs.nix args;
}
